Bug 46108 - (linux-ppc): Rpm 4.0.2 segfaults after installing a particular RPM.
(linux-ppc): Rpm 4.0.2 segfaults after installing a particular RPM.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-26 17:04 EDT by Ravi K. Budhia
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-29 11:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tar file of RPM database (460.00 KB, application/octet-stream)
2001-06-26 17:12 EDT, Ravi K. Budhia
no flags Details

  None (edit)
Description Ravi K. Budhia 2001-06-26 17:04:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I build a cross-compiled version of RPM for a linux-ppc machine. RPM was 
installed with a tar file, and the database initialied. I can then install 
some rpms. However, when I try to install a particular RPM (Desana-
Main.rpm), the installation goes through. However, after that when i 
do "rpm -qa", I get a seg fault. Same when trying to rebuild the database.

How reproducible:
Always

Steps to Reproduce:
1. Install RPM from tarball
2. Install other RPMs
3. Install Main rpm. Installation is successful.
4. Perform a query. RPM segfaults after that.

Additional info:

Here is the output when I do rpm --rebuilddb:

1/0#rpm --rebuilddb -vv
D: rebuilding database /apollo/var/lib/rpm 
into /apollo/var/lib/rpmrebuilddb.220
D: creating directory /apollo/var/lib/rpmrebuilddb.220
D: opening old database with dbapi 3
D: opening db index       /apollo/var/lib/rpm/Packages rdonly mode=0x0
D: locked  db index       /apollo/var/lib/rpm/Packages
D: opening new database with dbapi 3
D: opening db index       /apollo/var/lib/rpmrebuilddb.220/Packages create 
mode=0x42
D: locked  db index       /apollo/var/lib/rpmrebuilddb.220/Packages
D:   +++          1 nfs-utils-0.3.1-1
D: opening db index       /apollo/var/lib/rpmrebuilddb.220/Name create 
mode=0x42
D: adding "nfs-utils" to Name index.
D: opening db index       /apollo/var/lib/rpmrebuilddb.220/Basenames 
create mode=0x42
D: adding 14 entries to Basenames index.
D: opening db index       /apollo/var/lib/rpmrebuilddb.220/Group create 
mode=0x42
D: adding "System Environment/Daemons" to Group index.
D: opening db index       /apollo/var/lib/rpmrebuilddb.220/Requirename 
create mode=0x42
D: adding 5 entries to Requirename index.
D: opening db index       /apollo/var/lib/rpmrebuilddb.220/Providename 
create mode=0x42
D: adding 6 entries to Providename index.
D: opening db index       /apollo/var/lib/rpmrebuilddb.220/Triggername 
create mode=0x42
D: adding 3 entries to Triggername index.
D:   +++          2 MySQL-client-3.23.37-1
D: adding "MySQL-client" to Name index.
D: adding 22 entries to Basenames index.
D: adding "Applications/Databases" to Group index.
D: adding 2 entries to Requirename index.
D: adding 1 entries to Providename index.
D:   +++          3 Desana-Devkit-0.01.0-1
D: adding "Desana-Devkit" to Name index.
D: adding 23 entries to Basenames index.
D: adding "Applications" to Group index.
D: adding 11 entries to Requirename index.
D: adding 2 entries to Providename index.
D:   +++          4 desana-virtual-rpm-1.0-1
D: adding "desana-virtual-rpm" to Name index.
D: adding "unsorted" to Group index.
D: adding 186 entries to Providename index.
D:   +++          5 MySQL-3.23.37-1
D: adding "MySQL" to Name index.
D: adding 123 entries to Basenames index.
D: adding "Applications/Databases" to Group index.
D: adding 3 entries to Requirename index.
D: adding 3 entries to Providename index.
D:   +++          6 MySQL-shared-3.23.37-1
D: adding "MySQL-shared" to Name index.
D: adding 6 entries to Basenames index.
D: adding "Applications/Databases" to Group index.
D: adding 12 entries to Requirename index.
D: adding 3 entries to Providename index.
Segmentation fault
1/0#
Comment 1 Ravi K. Budhia 2001-06-26 17:12:52 EDT
Created attachment 21886 [details]
Tar file of RPM database
Comment 2 Jeff Johnson 2001-08-17 13:09:49 EDT
Franz Sirl reports that this problem is fixed by upgrading to rpm-4.0.3 latest
on ppc.

Note You need to log in before you can comment on or make changes to this bug.